Autentifikacija
Pošaljite API ključ kao bearer token. Ključ mora imati dozvolu vector.view; ključ bez nje se odbija sa 403, a ne sa 404.
Ovaj krajnji tačka ne prihvata ID organizacije. Vaš ključ već identifikuje organizaciju kojoj pripada, a odgovor je ograničen na nju.
Isprobajte
Zamenite bilo šta u uglastim zagradama sopstvenim vrednostima, a ključni placeholder sa ključem sa vaše kontrolne table.
curl -X GET https://api.zinndigital.com/v1/vector/indexes/{indexId} \
-H "Authorization: Bearer zdk_live_…"Prijavljeni ste? API konzola na vašoj kontrolnoj tabli automatski popunjava ID vaše stvarne organizacije i vaš sopstveni ključ, i izvršava zahtev nad API-jem uživo tako da možete videti stvarni odgovor. Otvorite ovu krajnju tačku u API konzoli
Detalji
One index belonging to this organisation. Requires `vector.view`.
Parametri
| Naziv | Vrsta | Obavezno | Šta je ovo |
|---|---|---|---|
indexId (path) | string | Da | The index's id. |
Odgovor
| Naziv | Vrsta | Obavezno | Šta je ovo |
|---|---|---|---|
id | string | Da | — |
name | string | Da | Lower-case, hyphenated, unique within the organisation. |
dimension | integer | Da | The width your embedding model emits, and the width reads return. Fixed at creation. |
metric | string<cosine, l2, inner_product> | Da | The distance function. Fixed at creation. |
status | string<ready, deleting> | Da | — |
vectors | integer | Da | How many vectors the index holds. |
storage_bytes | integer | Da | What the index counts for against `vector_index_gb`. A published formula rather than a physical table size, so it is reproducible: 96 bytes of row overhead, plus the stored widt… |
created_at | string | Da | — |
Greške koje ovaj krajnji tačka može da vrati
401 · 403 · 404 · 429